<?php
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");

if(!isset($_POST['func'])) { exit(); }
if($_SERVER['HTTP_X_REQUESTED_WITH'] != "XMLHttpRequest") { exit(); }

// Авторизация
if($_POST['func'] == "login") {

if(isset($_SESSION["iduser"])){
echo "Вы уже авторизованы";exit();
}elseif(strtolower(md5($_POST['codes_l']))!= strtolower($_SESSION['login_hash']) OR !isset($_SESSION["login_hash"])){ 
echo "Неверно введен код с картинки"; exit(); 
}elseif(!preg_match("/^(?:[a-z0-9]+(?:[-_]?[a-z0-9\.\-\_]+)?@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})$/i", substr($_POST['logemail'], 0, 50))) {
echo 'Неверно указаный E-mail';exit();
}elseif ($_POST['logpassword'] == NULL){
echo "Введите пароль!";exit();
}else{
$email_log = strtolower(check_email($_POST['logemail']));
$password_null = uc($_POST['logpassword']);
$password = md5($password_null);
$save = valideint($_POST["save"]);
	
$query = mysql_query("SELECT count(*) as kolvo FROM `b_users` WHERE `email` = '$email_log' AND `password`='$password'") or die(mysql_error());
$query = mysql_fetch_assoc($query);

if($query["kolvo"] < 1){
echo "Введены неверные данные!!! Вход невозможен!";exit();
}else{
$ip = getRealIP();

$rres = mysql_fetch_assoc(mysql_query("SELECT `id`, `username` FROM `b_users` WHERE `email`='$email_log'"));
$iduser = $rres["id"];

# обновляем количество рефералов
$count_ref = mysql_result(mysql_query("SELECT COUNT(id) FROM `b_users` WHERE `referer`='$iduser'"),0);
if($count_ref != $byme["referals"]) {
mysql_query("UPDATE `b_users` SET `referals`='$count_ref' WHERE `id`='$iduser'") or die(mysql_error());
}
# обновляем страну
$country = strtolower(getCountryByIp($ip));

mysql_query("UPDATE `b_users` SET `country`='$country', `lastlogdate`='".date("d.m.Y")."', `lastlogdate_str`='".time()."', `lastiplog`='$ip' WHERE `id`='$iduser'") or die(mysql_error());
$_SESSION["iduser"] = intval($iduser);
$_SESSION["username"] = strtolower($rres["username"]);
$_SESSION["password"] = $password;
if($save == 1){
setcookie("us_em", $email_log, time()+9999999, '/');
setcookie("us_pass", $password_null, time()+9999999, '/');
}else{
setcookie("us_em", '', time()+9999999, '/');
setcookie("us_pass", '', time()+9999999, '/');
}
echo "1";
}
}
}

// восстановление пароля
if($_POST['func'] == "res_pass") {
if(strtolower(md5($_POST['codes_r']))!= strtolower($_SESSION['res_hash']) OR !isset($_SESSION["res_hash"])){ 
echo "Неверно введен код с картинки"; exit();}
if(isset($_POST["email"])){
$email = check_email($_POST["email"]);
}else{ echo "Вы не указали E-mail";exit();}


$sql= mysql_query("SELECT `email` FROM `b_users` WHERE `email`='$email'"); 
if(mysql_num_rows($sql) == 0){
echo "$infstart Вы указали несуществующий E-Mail, либо аккаунт с этим E-Mail был удалён за неактивность! $infend";exit();}
	
$new_pass = generate_password(mt_rand(7,9));

mysql_query("UPDATE `b_users` SET `password` = '".md5($new_pass)."' WHERE `email` = '".$email."'") or die(mysql_error());

$subject = "Восстановление пароля";
$message = 'Здравствуйте! Вы запросили восстановление пароля на сайте <a href="http://'.$_SERVER["HTTP_HOST"].'">'.$sitename.'</a> !Ваш пароль: '.$new_pass.' .Это автоматическое сообщение,отвечать на него необязательно!';

$headers = "Content-type: text/html; charset=windows-1251 \r\n";
$headers .= "From: $siteemail \r\n";
mail($email, $subject, $message, $headers);
echo "Новый пароль выслан Вам на E-mail указанный при регистрации";
exit();
}

// восстановление пароля
if($_POST['func'] == "exit") {
unset($_SESSION["username"]);
unset($_SESSION["password"]);
unset($_SESSION["iduser"]);
}
?>